package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.MallUserInfo;
import com.iformall.domain.po.WxBillPropertyDeposit;
import com.iformall.domain.po.WxPayAccountBill;

import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBillPropertyDepositService {

    /**
     * 根据实体查询分页列表
     *
     * @param offset
     * @param limit
     * @param record
     * @return
     */
    PageInfo<WxBillPropertyDeposit> listAsPage(WxBillPropertyDeposit record, Integer pageIndex, Integer pageSize);

    void updateBillStatus(WxBillPropertyDeposit record);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxBillPropertyDeposit getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     * @param user
     */
    ResultData saveOrUpdate(WxBillPropertyDeposit record, MallUserInfo user);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    ResultData updatePaid(Long id);


    ResultData returnDeposit(WxBillPropertyDeposit wxBillPropertyDeposit, MallUserInfo user);

    ResultData adjustDeposit(WxBillPropertyDeposit wxBillPropertyDeposit);

    void computeTotalMoney(WxPayAccountBill wxPayAccountBill, WxBillPropertyDeposit deposit);
}
